diff --git a/patches/0015-io-implement-network-timeout-default-60s.patch b/patches/0015-io-implement-network-timeout-default-60s.patch
index 831807e..db6cfe4 100644
--- a/patches/0015-io-implement-network-timeout-default-60s.patch
+++ b/patches/0015-io-implement-network-timeout-default-60s.patch
@@ -19,7 +19,7 @@ index 9b13b2a..f625dd4 100644
  
  #include <stdlib.h>
  #include <stdio.h>
-@@ -69,6 +70,9 @@
+@@ -73,6 +74,9 @@
  # define SOL_DCCP 269
  #endif
  
@@ -29,7 +29,7 @@ index 9b13b2a..f625dd4 100644
  #include "libvlc.h" /* vlc_object_waitpipe */
  
  extern int rootwrap_bind (int family, int socktype, int protocol,
-@@ -263,6 +267,7 @@ net_Read (vlc_object_t *restrict p_this, int fd, const v_socket_t *vs,
+@@ -267,6 +274,7 @@ net_Read (vlc_object_t *restrict p_this, int fd, const v_socket_t *vs,
      ufd[1].fd = vlc_object_waitpipe (p_this);
      ufd[1].events = POLLIN;
  
@@ -37,9 +37,9 @@ index 9b13b2a..f625dd4 100644
      size_t i_total = 0;
      do
      {
-@@ -291,6 +296,12 @@ net_Read (vlc_object_t *restrict p_this, int fd, const v_socket_t *vs,
-                 case EWOULDBLOCK:
- #endif
+@@ -297,6 +305,12 @@ net_Read (vlc_object_t *restrict p_this, int fd, const v_socket_t *vs,
+                     break;
+ #ifndef _WIN32
                  case EINTR:  /* asynchronous signal */
 +                    if (i_timepassed >= MAX_TIMEOUT && i_total == 0)
 +                    {
@@ -47,20 +47,22 @@ index 9b13b2a..f625dd4 100644
 +                        p_access->info.b_eof = true;
 +                        goto error;
 +                    }
-                     break;
- #ifdef _WIN32
+                     continue;
+ #else
                  case WSAEMSGSIZE: /* datagram too big */
-@@ -320,10 +331,12 @@ net_Read (vlc_object_t *restrict p_this, int fd, const v_socket_t *vs,
-             errno = EINTR;
-             return -1;
+@@ -327,13 +341,14 @@ net_Read (vlc_object_t *restrict p_this, int fd, const v_socket_t *vs,
+         }
+ 
+         /* Wait for more data */
+-        if (poll (ufd, sizeof (ufd) / sizeof (ufd[0]), -1) < 0)
++        if (poll (ufd, sizeof (ufd) / sizeof (ufd[0]), POLL_TIMEOUT) < 0)
+         {
+             if (errno == EINTR)
+                 continue;
+             goto error;
          }
--        while (poll (ufd, sizeof (ufd) / sizeof (ufd[0]), -1) < 0)
-+        while (poll (ufd, sizeof (ufd) / sizeof (ufd[0]), POLL_TIMEOUT) < 0)
-             if (errno != EINTR)
-                 goto error;
  
 +        i_timepassed += POLL_TIMEOUT;
-+
          if (ufd[1].revents)
          {
              msg_Dbg (p_this, "socket %d polling interrupted", fd);
